# -*- rpm-spec -*-
# $Id: kernel-source-slmodem,v 1.3 2005/04/27 05:24:18 grigory Exp $

%define module_name slmodem
%define module_version 2.9.11
%define module_release alt2
%define snap 20061021
%define module_source slmodem-%module_version-%snap.tar.gz
%define module_source_dir %module_name-%module_version-%snap

#### MODULE SOURCES ####
Name:          kernel-source-%module_name
Version:       %module_version
Release:       %module_release
Summary:       Linux %module_name modules sources
License:       Proprietary
Group:         Development/Kernel
BuildArch:     noarch
Source0:       %module_source

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
%module_name modules sources for Linux kernel

%prep
%setup -c
%__subst "s|#\(SUPPORT_ALSA.*\)|\1|" %module_source_dir/modem/Makefile

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources
%__mv %module_source_dir kernel-source-%module_name-%module_version
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Sun Dec 10 2006 L.A. Kostis <lakostis@altlinux.ru> 2.9.11-alt2
- use 20061021 snapshot.

* Sun Jan 08 2006 LAKostis <lakostis at altlinux.ru> 2.9.11-alt1
- new version.
- use 20051009 snapshot.
- remove obsoleted patches.

* Wed Apr 27 2005 Grigory Milev <week@altlinux.ru> 2.9.10-alt2
- enable alsa support

* Tue Apr 26 2005 Grigory Milev <week@altlinux.ru> 2.9.10-alt1
- new version released

* Tue Mar  1 2005 Grigory Milev <week@altlinux.ru> 2.9.9b-alt1
- new version released

* Wed Jan 12 2005 Grigory Milev <week@altlinux.ru> 2.9.9a-alt1
- new version released

* Tue May 18 2004 Anton Farygin <rider@altlinux.ru> 2.9.6-alt2
- fixed drivers/Makefile for make install without root privileges

* Wed Apr 14 2004 Grigory Milev <week@altlinux.ru> 2.9.6-alt1
- new version released

* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.9.5-alt1
- Initial build



